#ifndef WIFI_DRIVER_H
#define WIFI_DRIVER_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

/**
 * @brief Initialize Wi-Fi.
 *
 * @return 0 on success, non-zero error code on failure.
 */
uint8_t wifi_init(void);

/**
 * @brief Connect to a Wi-Fi network.
 *
 * @param ssid Pointer to the SSID string.
 * @param passkey Pointer to the password string.
 *
 * @return 0 on success, non-zero error code on failure.
 */
int8_t wifi_connect(char* ssid, char* passkey);

#ifdef __cplusplus
}
#endif

#endif // WIFI_DRIVER_H
